.table td .ss_place {
  display: none;
}
.btn-default, .btn-mini {
  background-color: #3C3C3C;
  color: #fff;
}
.btn-default:hover, .btn-mini:hover {
  border: 1px solid rgb(var(--color));
  background-color: #2e2e2e;
  color: rgb(var(--fontcolor));
}
.td-cell-1 td {
  width: calc(80%/1);
}
.td-cell-2 td {
  width: calc(80%/2);
}
.td-cell-3 td {
  width: calc(80%/3);
}
.td-cell-4 td {
  width: calc(80%/4);
}
@media (max-width: 767px) {
  .btn-mini, .btn-default {
    width: auto;
  }
}

/* PC表示: マトリクス形式 */
@media (min-width: 768px) {
  .matrix_table th.track {
    width: calc(100% / 5); /* 会場数に合わせて調整 */
    background: #f0f0f0;
    text-align: center;
    vertical-align: middle;
    font-weight: bold;
  }
  .session_timetable td {
    border-right: 1px solid #ddd;
    vertical-align: top;
  }
  .session_timetable td.right_border {
    border-right: none;
  }
  form .table .empty-icon {
    text-align: center;
    color: #ccc;
    vertical-align: middle !important;
  }
}

/* スマホ表示: キャプチャ5のような縦並びへの最適化 */
@media (max-width: 767px) {
  .pc_display {
    display: none !important;
  } 
  .session_timetable th {
    display: block;
    width: 100% !important;
    background: #f9f9f9;;
    text-align: left;
    padding: 5px 10px;
  }
  .session_timetable td {
    display: block;
    width: 100% !important;
    border-right: none;
    border-bottom: 1px solid #eee;
    padding: 15px 10px;
  }
  form .table .empty-icon {
    display: none;
  }
   /* スマホでは空枠を表示しない */
  .matrix_table td .ss_place {
    display: block;
  }
}

.session_timetable input[type="checkbox"] {
  transform: scale(1.5);
}
.ss_code {
  display: flex;
}

/* ラベル等の装飾（キャプチャ4準拠） */
.label-info {
  background-color: #006900;
  padding: 3px 6px;
  font-size: 12px;
  color: #fff;
  border-radius: 3px;
  margin: 0 5px;
}
.label {
  border-radius: 3px;
}
.ss_title a {
  font-weight: bold;
  color: #005580;
  text-decoration: none;
}
.speaker {
  font-size: 0.9em;
  margin-top: 5px;
  line-height: 1.4;
}

/* バリデーションエラー用 */
#matrix_error_msg {
  border-left: 5px solid #bd362f;
  background-color: #f2dede;
  color: #b94a48;
  padding: 15px;
  border-radius: 4px;
}